<?php

// inclusao do arquivo com a funcao para envio de email com autenticacao SMTP
require('includes/phpmailer/hdw-phpmailer.php');



$mensagem			= "";


// recebe os campos do formulário
$Restricao 			= trim($_REQUEST['Restricao']);

$ValorQuePrecisaOutro 	= trim($_REQUEST['ValorQuePrecisa1']);

if (empty($ValorQuePrecisaOutro)) {
    $ValorQuePrecisa 	= trim($_REQUEST['ValorQuePrecisa']);
} else {
    $ValorQuePrecisa 	= trim($_REQUEST['ValorQuePrecisa1']);
}



$TipoVeiculo 		= trim($_REQUEST['TipoVeiculo']);
$Quitado 			= trim($_REQUEST['Quitado']);
$VeiculoEmNome 		= trim($_REQUEST['VeiculoEmNome']);
$Celular			= trim($_REQUEST['Celular']);
$Estado 			= trim($_REQUEST['Estado']);
$Placa 				= trim($_REQUEST['Placa']);
$CPF 				= trim($_REQUEST['CPF']);
$DataNascimento		= trim($_REQUEST['DataNascimento']);




// define a data e hora da mensagem
date_default_timezone_set('America/Sao_Paulo');
$datahora = date('d/m/Y H:i:s');



// define o IP de envio da mensagem
$IP = $_SERVER['REMOTE_ADDR'];



// define o assunto da mensagem
$emailAssunto = "LEAD - " . " " . $TipoVeiculo;



// define o texto da mensagem em HTML
$emailMensagem = "
<strong>{$emailAssunto}</strong><br />
<hr />
<strong>Restrição SPC/Serasa:</strong> {$Restricao}<br />
<strong>Valor que Precisa:</strong> {$ValorQuePrecisa}<br />
<strong>Tipo de Veiculo:</strong> {$TipoVeiculo}<br />
<br />
<strong>O Veículo está quitado:</strong> {$Quitado}<br />
<strong>Veículo está em Nome:</strong> {$VeiculoEmNome}<br />
<strong>Celular:</strong> {$Celular}<br />
<br />
<strong>Estado:</strong> {$Estado}<br />
<strong>Placa:</strong> {$Placa}<br />
<strong>CPF:</strong> {$CPF}<br />
<strong>Data de Nascimento:</strong> {$DataNascimento}<br />


<hr />
<strong>Data/Hora:</strong> {$datahora}<br />
<strong>IP:</strong> {$IP}<br />
<br />
";



// inicia configuracoes do email

// DADOS DO REMETENTE (quem envia o email)
$emailDe = array();


// informe o email do remetente
// IMPORTANTE: este email deve obrigatoriamente ser do mesmo dominio do site
$emailDe['from']		= 'contato@agilliza.net';


// informe o nome do remetente
$emailDe['fromName']	= $nome; // por padrao puxa o nome preenchido no formulario


// informe o email para resposta
// pode ser informado qualquer email de qualquer dominio
$emailDe['replyTo']		= $email; // por padrao puxa o email preenchido no formulario


// informe o email de retorno em caso de erro
// IMPORTANTE: este email deve obrigatoriamente ser do mesmo dominio do site
$emailDe['returnPath']	= 'contato@agilliza.net';


// informe o email para envio de confirmacao de leitura (opcional)
// deixe vazio para nao enviar confirmacao
// IMPORTANTE: este email deve obrigatoriamente ser do mesmo dominio do site
$emailDe['confirmTo']	= '';



// DADOS DO DESTINATARIO (quem ira receber o email)
$emailPara = array();


// informe ao menos um email de destinatario, o nome é opcional
// IMPORTANTE: podem ser adicionados varios destinatarios, fique atento a numeracao do array!
// #1
$emailPara[1]['to']		= 'app.agilliza@gmail.com';
$emailPara[1]['toName']	= 'LEAD - VEICULOS';


//dados são enviados para app.agilliza@gmail.com que filtra e encaminha para contato@agilliza.net. O email app@agilliza.net autentica apenas...

// DADOS DA CONTA SMTP PARA AUTENTICACAO DO ENVIO
$SMTP = array();
$SMTP['host']		= 'mail.agilliza.net';
$SMTP['port']		= 587; // para o gmail utilize 587
$SMTP['encrypt']	= 'tls'; // ssl ou tls ou vazio, para o gmail utilize tls
$SMTP['username']	= 'app@agilliza.net'; // recomendamos criar uma conta de email somente para ser utilizada aqui
$SMTP['password']	= 'app@agilliza.net@'; // pois cada vez que a senha for alterada este arquivo tambem devera ser atualizado
$SMTP['charset']	= 'utf-8'; // 'utf-8' ou 'iso-8859-1', siga o padrao do arquivo para nao haver erros na acentuacao
$SMTP['priority']	= 3; // prioridade: 1=alta; 3=normal; 5=baixa;


// DEBUG (ajuda para descobrir erros)
// - use TRUE para ver os erros de envio
// - uma vez configurado e funcionando obrigatoriamente utilize FALSE
$SMTP['debug'] = FALSE;


// faz o envio
$mail = sendEmail($emailDe, $emailPara, $emailAssunto, $emailMensagem, $SMTP);


// em caso de erro
if($mail !== TRUE){
	// redireciona ou exibe uma mensagem de erro
	//header('location: erro.html');
	echo('Nao foi possivel enviar a mensagem.<br />Erro: '.$mail);
	exit;
}


// em caso de sucesso
// redireciona ou exibe a mensagem de agradecimento
header('location: https://app.agilliza.net/ficha_veiculos.html'); exit;
?>
<html>
<body>

</body>
</html>